> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer by customerNo.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/Customers/{customerNo}
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Customers/{customerNo}:
    get:
      tags:
        - Customers
      summary: Get Customer by customerNo.
      parameters:
        - name: customerNo
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CustomerDetailResponseDTO'
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerDetailResponseDTO'
            text/json:
              schema:
                $ref: '#/components/schemas/CustomerDetailResponseDTO'
components:
  schemas:
    CustomerDetailResponseDTO:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        phone:
          type: string
        id:
          type: string
          format: uuid
        customerNo:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/AddressDetailResponseDTO'
      additionalProperties: false
    AddressDetailResponseDTO:
      type: object
      properties:
        addressNo:
          type: integer
          format: int32
        id:
          type: string
          format: uuid
        addressFirstName:
          type: string
        addressLastName:
          type: string
        company:
          type: string
        addressOne:
          type: string
        addressTwo:
          type: string
        district:
          type: string
        city:
          type: string
        postalCode:
          type: string
        country:
          type: string
        addressPhone:
          type: string
        taxOffice:
          type: string
        taxNumber:
          type: string
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````